Author Topic: lisp required for polyline crossing and edge  (Read 1348 times)

0 Members and 1 Guest are viewing this topic.

RIA

  • Mosquito
  • Posts: 1
lisp required for polyline crossing and edge
« on: July 29, 2021, 04:01:27 PM »
Please Help Someone for the below Action. Fedup with chamfer and fillet..  :oops:

mhupp

  • Bull Frog
  • Posts: 250
Re: lisp required for polyline crossing and edge
« Reply #1 on: July 30, 2021, 02:03:40 PM »
I use predefined settings for fillets that I have to do most often.

Code: [Select]
(defun C:F1 () (frx "0.0625"))
(defun C:F2 () (frx "0.125"))
(defun C:F3 () (frx "0.250"))
(defun C:F4 () (frx "0.375"))
(defun C:F5 () (frx "0.500"))

(defun frx (x / *error* ofr)
  (defun *error* (errmsg)
    (if (not (wcmatch errmsg "Function cancelled,quit / exit abort,console break"))
      (princ (strcat "\nError: " errmsg))
    )  ; if
    (setvar 'filletrad ofr)
  )
  (setvar "cmdecho" 0)
  (setq ofr (getvar 'filletrad))
  (vl-cmdf "_.Fillet" "R" x "_.Fillet" "_multiple")
  (setvar "cmdecho" 1)
  (princ (strcat "\nFillet (radius=" x "):  Select first entity or [fillet Settings.../Polyline/Radius/Trim/Undo/Multiple]:"))
  (while (> (getvar 'cmdactive) 0) (command pause))
  (setvar 'filletrad ofr)
  (princ)
)

 

BIGAL

  • Swamp Rat
  • Posts: 1409
  • 40 + years of using Autocad
Re: lisp required for polyline crossing and edge
« Reply #2 on: August 02, 2021, 12:48:25 AM »
For mhupp infinite fillet value, circle and offset. But simple command line entry. Only bug its not not really must use the "-" as decimal F0-375 as a "." interpreted in the method used to capture the "F" for fillet.

Try F123 f1-5 etc o12 c10-5






A man who never made a mistake never made anything